Sync and Build Failure in 11.10

Andy Doan andy.doan at
Mon Jan 9 15:18:32 UTC 2012

On 01/09/2012 04:36 AM, Bharathi Subramanian wrote:
> Hi All,
> New to Linaro. We are trying to sync the source for Panda Board, as
> per the steps mentioned in the following link:
> We are unable to sync the two projects from external folder. So
> skipped thous projects. We used both default (GCC 4.4.0) and Linaro
> (GCC 4.6.0) toolchain. But build is unsuccessful. When we did a web
> search for the error, it was mention that as compiler issues.
> Can someone share, which is the suitable Android release for development?

It would be nice to see a snippet of your build failure. However, I've
been doing a lot of Panda builds lately on Ubuntu 11.10(oneiric). The
main thing I had to do was install GCC-4.5 for my host compiler. The
Linaro-4.6 cross-compile toolchain should work fine for the target.

You'll want to make sure you are using the proper host tools with
something like:

$ make -j4
HOST_CC=gcc-4.5 HOST_CPP=cpp-4.5 HOST_CXX=g++-4.5 boottarball
systemtarball userdatatarball

NOTE: TARGET_TOOLS_PREFIX will likely vary on your system

More information about the linaro-android mailing list